# JSDOC

**[中文](https://github.com/gxlydlyf/jquery-disable-scroll-plugin/blob/main/JSDOC/JSDOC_zh.md)**
|
**[English](https://github.com/gxlydlyf/jquery-disable-scroll-plugin/blob/main/JSDOC/JSDOC.md)**

## ControlScroll

控制滚动函数，用于设置滚动状态、方向和ID。

### 参数

- `status` (可选): 布尔值、对象或数组，表示状态、转录或方向。
- `direction` (可选): 字符串或数组，表示方向或ID。
- `id` (可选): 字符串或字符串数组，表示ID。

### 返回值

返回一个 jQuery 对象。

### 示例

#### 默认值

默认情况下，参数如下：

- 方向: "xy"
- ID: "default"
- 状态: false

#### 状态

- 如果输入为布尔值，表示状态。
    - `false`: 禁用
    - `true`: 启用
- 如果输入为对象且包含状态、ID或方向键，则参数将被转录。
    - `{status: false, direction: "xy", id: "default"}`
- 如果输入为对象且不包含上述键，则将被视为方向参数。

#### 方向

- 如果状态参数被视为方向参数，则将被视为ID参数。
- 如果输入为字符串，参数将设置为要设置的方向。
    - "xy"
- 如果输入为数组，数组中的每个项将被视为要设置的方向。
    - `['x', 'y', '横', '纵']`
- 如果输入为对象，对象的键和值将对应方向和ID。
    - `{x: "id1", y: ["id2"], xy: ["id3", "id4"]}`

#### ID

- 当ID为空且状态为true时，将清除所有ID及相应的监听函数。
    - `""`, `0`, `false`, `{}`, `[]`, `undefined`, `null`
- 如果输入为字符串，参数将设置为要设置的ID。
    - "id"
- 如果输入为数组，数组中的每个项将被视为要设置的ID。
    - `['id1', 'id2', 'id3', 'id4']`

## DisableScroll

禁用滚动函数，用于设置方向和ID。

### 参数

- `direction` (可选): 字符串或数组，表示方向。
- `id` (可选): 字符串或字符串数组，表示ID。

### 返回值

返回一个 jQuery 对象。

### 示例

#### 默认值

默认情况下，参数如下：

- 方向: "xy"
- ID: "default"
- 状态: false

#### 方向

- 如果输入为字符串，参数将设置为要设置的方向。
    - "xy"
- 如果输入为数组，数组中的每个项将被视为要设置的方向。
    - `['x', 'y', '横', '纵']`
- 如果输入为对象，对象的键和值将对应方向和ID。
    - `{x: "id1", y: ["id2"], xy: ["id3", "id4"]}`

#### ID

- 如果输入为字符串，参数将设置为要设置的ID。
    - "id"
- 如果输入为数组，数组中的每个项将被视为要设置的ID。
    - `['id1', 'id2', 'id3', 'id4']`

## EnableScroll

启用滚动函数，用于设置方向和ID。

### 参数

- `direction` (可选): 字符串或数组，表示方向。
- `id` (可选): 字符串或字符串数组，表示ID。

### 返回值

返回一个 jQuery 对象。

### 示例

#### 默认值

默认情况下，参数如下：

- 方向: "xy"
- ID: 未定义
- 状态: true

#### 方向

- 如果输入为字符串，参数将设置为要设置的方向。
    - "xy"
- 如果输入为数组，数组中的每个项将被视为要设置的方向。
    - `['x', 'y', '横', '纵']`
- 如果输入为对象，对象的键和值将对应方向和ID。
    - `{x: "id1", y: ["id2"], xy: ["id3", "id4"]}`

#### ID

- 当ID为空且状态为true时，将清除所有ID及相应的监听函数。
    - `""`, `0`, `false`, `{}`, `[]`, `undefined`, `null`
- 如果输入为字符串，参数将设置为要设置的ID。
    - "id"
- 如果输入为数组，数组中的每个项将被视为要设置的ID。
    - `['id1', 'id2', 'id3', 'id4']`
